
//	New or modified code (C)2004 Jeffrey Bakker aka EvilJess <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	Diabolic
//	Copyright (C) 2004 Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



class AkimBinFire extends ProjectileFire;

//var name FireAnims[3];


function InitEffects ()
{
	Super.InitEffects();
	if ( FlashEmitter != None )
		Weapon.AttachToBone(FlashEmitter, 'dummy01');
}

function FlashMuzzleFlash ()
{
	local Rotator R;

	R.Yaw = 16384;
	Weapon.SetBoneRotation('dummy01',R,0,1.f);
	Super.FlashMuzzleFlash();
}

event ModeDoFire()
{
//	if(AssaultRifle(Weapon) != None && AssaultRifle(Weapon).bDualMode)
//		ProjPerFire=2;
//	else	ProjPerFire=1;

	Super.ModeDoFire();
}

function Projectile SpawnProjectile(Vector Start, Rotator Dir)
{
	return Spawn(ProjectileClass,,, Start, Dir);
}

function StartBerserk()
{
	FireRate = FireRate * 0.65;
}

function StopBerserk()
{
	FireRate = default.FireRate;
	if(AssaultRifle(Weapon).bDualMode)
		FireRate *= 0.65;
}

function StartSuperBerserk()
{
	FireRate = default.FireRate * 1.5/Level.GRI.WeaponBerserk;
	FireAnimRate = default.FireAnimRate * 0.667 * Level.GRI.WeaponBerserk;
	if (AssaultRifle(Weapon) != None && AssaultRifle(Weapon).bDualMode)
		FireRate *= 0.65;
}

defaultproperties
{
	FireAnim=Fire1
//	FireAnims(1)=Fire2
//	FireAnims(2)=fire3

	FireAnimRate=1.50
	FireSound=Sound'AssaultSounds.HnShipFire01'
	FireForce="NewSniperShot"
	FireRate=0.247399
	BotRefireRate=0.290000
	bSplashDamage=True

	AmmoPerFire=0
	AmmoClass=Class'AkimBinBeta.AkimBinAmmo'
	ProjectileClass=Class'AkimBinBeta.AkimBinProj'
	FlashEmitterClass=Class'AkimBinBeta.AkimBinFlash'
}