
//	New or modified code (C)2004 Jeffrey Bakker aka EvilJess <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	AkimBin - Akimbo meets BinSlayer
//	Copyright (C) 2004 Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


class MutAkimBinArena extends Mutator;

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {

	bSuperRelevant = 0;

	if (Other.isA('xPawn')) {

		xPawn(Other).RequiredEquipment[0] = "AkimBinBeta.BinSlayer";
		xPawn(Other).RequiredEquipment[1] = "None";
	}

	if((Weapon(Other) != None)) {
		if(Other.IsA('BallLauncher')) {
			return true;
		}
	} else if(Other.isA('ShieldGun')) {
		return false;
	} else if(Other.isA('UTWeaponPickup')) {

		if(!Other.isA('AkimBinPickup')) {
			ReplaceWith(Other, "AkimBinBeta.AkimBinPickup");
			return false;
		} else	return true;

	} else if(UTAmmoPickup(Other) != None) {
		return false;
	}

	return true;
}

defaultproperties
{
	GroupName="Arena"
	DefaultWeaponName="AkimBinBeta.BinSlayer"
	FriendlyName="AkimBin Arena Beta"
	Description="AkimBin Arena Beta. Replaces all weapons from the map and players spawn with an akimbo-enabled BinSlayer rifle.||By 3v1LJess aka Jeffrey Bakker|http://binslayer.damnclan.com"
}
